org.keycloak.dom.xmlsec.w3.xmldsig

## Class ObjectType

- java.lang.Object
- - org.keycloak.dom.xmlsec.w3.xmldsig.ObjectType

-     public class ObjectType
      extends Object

  Java class for ObjectType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ObjectType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence maxOccurs="unbounded" minOccurs="0">
               <any/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="MimeType" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="Encoding" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<Object>` | `content`
    `protected String` | `encoding`
    `protected String` | `id`
    `protected String` | `mimeType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Object obj)`
    `List<Object>` | `getContent()` Gets the value of the content property.
    `String` | `getEncoding()` Gets the value of the encoding property.
    `String` | `getId()` Gets the value of the id property.
    `String` | `getMimeType()` Gets the value of the mimeType property.
    `void` | `remove(Object obj)`
    `void` | `setEncoding(String value)` Sets the value of the encoding property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setMimeType(String value)` Sets the value of the mimeType property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### content

          protected List<Object> content

    - #### id

          protected String id

    - #### mimeType

          protected String mimeType

    - #### encoding

          protected String encoding

  - ### Constructor Detail

    - #### ObjectType

          public ObjectType()

  - ### Method Detail

    - #### add

          public void add(Object obj)

    - #### remove

          public void remove(Object obj)

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property.

      Objects of the following type(s) are allowed in the list `Element` `Object` `String`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getMimeType

          public String getMimeType()

      Gets the value of the mimeType property.
      Returns:
        possible object is `String`

    - #### setMimeType

          public void setMimeType(String value)

      Sets the value of the mimeType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEncoding

          public String getEncoding()

      Gets the value of the encoding property.
      Returns:
        possible object is `String`

    - #### setEncoding

          public void setEncoding(String value)

      Sets the value of the encoding property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2020 JBoss by Red Hat. All rights reserved.